Skip to main content

Version 2.0

Save your cards to your own digital wallet, to make future payments easier and more convenient. Tokenizing your card is used for recurring payments or once-off payments.

VodaPay Gateway UAT
https://api.vodapaygatewayuat.vodacom.co.za/v2/
VodaPay Gateway Production
https://api.vodapaygateway.vodacom.co.za/v2/

Block wallet

This API call is used to temporarily block a specified digital wallet entirely. This might need to be done because of possible fraud on the customer or for other similar reasons.

The merchant can temporarily block the whole digital wallet, preventing subsequent payments being made against any of the payment tokens in the digital wallet. While it is blocked, any API call using a payment token from within the blocked digital wallet will be declined. However, the digital wallet can be unblocked.

Request

POST /DigitalWallet/Block
{
"echoData": "123",
"traceId": "000000000001000001",
"customerId": "customer01",
"digitalWalletId": "00000000-0000-0000-0000-000000000000"
}

Request Parameters

echoDatastringOptional

Any value that needs to be echoed back in the Echo Data element of the response message. This value will also be echoed in the resulting notification messages and the message posted to the callback URL. If unfilled, defaults to null over an empty string.